Outils pour utilisateurs

Outils du site


Discussion logiciels:doku:modsecurity
Dokuwiki vs ModSecurity

Si ModSecurity est installé sur votre serveur web, il bloquera tout code (en langage PHP par exemple) qui sera inséré dans une page DokuWiki, même entre les balises <code> et </code> en générant une erreur 403.

Seule solution : désactiver ModSecurity pour votre site DokuWiki.

Avec Apache2, modifier le fichier correspondant au site DokuWiki dans “/etc/apache2/sites-available/” en ajoutant juste après la ligne “VirtualHost” le code suivant :

        <IfModule mod_security2.c>
                SecRuleEngine Off
        </IfModule>

Et il ne restera qu'à redémarrer le serveur web, par exemple pour Apache sous Debian :

/etc/init.d/apache2 restart
logiciels/doku/modsecurity.txt · Dernière modification: 2016/11/26 16:44 par Admin